%define name	kmediagrab
%define version	0.3
%define release 4

Name: 	 	%{name}
Summary: 	KDE interface to capture or transcode videos
Version: 	%{version}
Release: 	%mkrel %{release}

Source:		%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://sourceforge.net/projects/kmediagrab/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gettext kdelibs-devel
Requires:	mencoder

%description
Kmediagrab is a front end to mplayer/mencoder features. It grabs audio/video
from a DVD or a TV video card, or translates a video file from one format to
another.

%prep
%setup -q

%build
export QTDIR=%{_prefix}/lib/qt3
export QTLIB=$QTDIR/%{_lib}
%configure2_5x --disable-rpath
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=%{name}
Name=KMediaGrab
Comment=Video recorder and transcoder
Categories=AudioVideo;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING TODO
%{_bindir}/%name
%{_datadir}/applnk/Applications/*
%{_datadir}/icons/locolor/*/*/*.png
%{_datadir}/applications/mandriva-%name.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3-4mdv2008.1
+ Revision: 141871
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- import kmediagrab

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Jan  7 2006 Anssi Hannula <anssi@mandriva.org> 0.3-4mdk
- %%mkrel
- fix x86_64 build

* Sat Jun 5 2004 Austin Acton <austin@mandrake.org> 0.3-3mdk
- configure 2.5

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-2mdk
- Rebuild

* Fri May 30 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
